Bug 107642 - -Werr in the aic7xx Makefile prevents sucessful kernel build
-Werr in the aic7xx Makefile prevents sucessful kernel build
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-21 13:10 EDT by Dan Berger
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-22 11:09:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
partial build log showing warnings (19.80 KB, text/plain)
2003-10-21 17:42 EDT, Dan Berger
no flags Details

  None (edit)
Description Dan Berger 2003-10-21 13:10:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030701
Galeon/1.3.9

Description of problem:
drivers/scsi/aic7xxx/Makefile has EXTRA_CFLAGS set to -Idrivers/scsi -Werr,
which prevents the kernel from building sucessfully.  Removing the -Werr allows
the build to complete.

Disclaimer: I haven't used the aic7xxx driver, so I've no idea if it's actually
working.

Version-Release number of selected component (if applicable):
kernel-source-2.6.0-0.test8.1.60

How reproducible:
Always

Steps to Reproduce:
1. configure the kernel
2. type make
3. get coffee
4. observe build failure
    

Additional info:
Comment 1 Dave Jones 2003-10-21 15:49:55 EDT
What warnings are you seeing ?
Comment 2 Dan Berger 2003-10-21 17:42:58 EDT
Created attachment 95364 [details]
partial build log showing warnings

This is a partial build log, building from the test source packages on a RH 9
box.  These warnings are not unique to the aic7xxx directory, but I included
only those to keep the size down.
Comment 3 Dave Jones 2003-10-21 17:58:15 EDT
Is this with the gcc32 compiler ?
The check_unused feature should only be in newer gcc's, which you shouldn't be
using for kernel builds.
Comment 4 Dan Berger 2003-10-21 20:50:24 EDT
It is (gcc version 3.2.2 - as shipped with RH 9).  Does that mean one should
install the compat-gcc package to build a kernel?  The test kernel RPMs seem to
have been built with gcc 3 - and I followed suit.

$ strings /lib/modules/2.6.0-0.test8.1.62/kernel/drivers/scsi/aic7xxx/aic7xxx.ko
| grep -i gcc
vermagic=2.6.0-0.test8.1.62 686 gcc-3.3

I'm curious to know how these RPMs are built, if new versions of gcc emit this
warning, and that makefile specifies -werr.
Comment 5 Dave Jones 2003-10-21 21:22:43 EDT
Somehow I missed that you were using Arjan's 2.6 kernel.
Comment 6 Arjan van de Ven 2003-10-22 03:15:13 EDT
Yes this -Werror is absolutely obnoxious. Please file a bug in
bugzilla.kernel.org about that.
The fact that you get a warning means you have a too old gcc; the rawhide one
compiles things just fine...
Comment 7 Dan Berger 2003-10-22 11:05:38 EDT
see kernel.org bug 1208.  (which, somehow, I didn't find when I searched before
filing this one).  should this be closed as upstream, then?
Comment 8 Arjan van de Ven 2003-10-22 11:09:34 EDT
I've just removed the -Werror via a patch; it annoyed me too ;)

Note You need to log in before you can comment on or make changes to this bug.